Name:		vala-panel-applets-gpl
Version:	22.5.20
Release:	alt1
Summary:	Vala Panel Applets
License:	GPL
Url:		https://gitlab.com/vala-panel-project/vala-panel-applets-gpl
Group:          System/GUI/Other
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	gtk3
#BuildRequires:	libpeas
#BuildRequires:	mate-panel
#BuildRequires:	xfce4-panel >= 4.11.2
BuildRequires:	vala-panel-devel >= 0.4.60
#BuildRequires:	budgie-desktop
Source0:	https://gitlab.com/vala-panel-project/vala-panel-applets-gpl/-/archive/master/vala-panel-applets-gpl-master.tar
#Autoreq:	noshell
#Autoreq:	noperl

%description
This is applets for Vala Panel, which has GPL license
(because I borrowed some GPL code and developers refuse to provide this code as LGPL).

%prep
%setup -n %name-master

%build
%meson 
#-Dvalapanel=enabled 
%meson_build 

%install
%meson_install
%find_lang %{name}
mkdir -p  %buildroot/%_datadir/doc/%name
mv %buildroot/usr/share/vala-panel-applets/doc/* %buildroot/%_datadir/doc/%name

%files -f %{name}.lang
#doc LICENSE README.md 
%{_libdir}/*
%{_datadir}/*
#exclude %{_datadir}/genmon


%changelog
* Sat Feb 03 2024 sfs <sfslinux@.gmail.com> 5.0.0
- Initial version
